Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaAnnotated

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated

Direct Known Subclasses:
  XmlSchema, XmlSchemaAnyAttribute, XmlSchemaAttribute, XmlSchemaAttributeGroup, XmlSchemaAttributeGroupRef, XmlSchemaContent, XmlSchemaContentModel, XmlSchemaExternal, XmlSchemaFacet, XmlSchemaGroup, XmlSchemaIdentityConstraint, XmlSchemaNotation, XmlSchemaParticle, XmlSchemaSimpleTypeContent, XmlSchemaType, XmlSchemaXPath

    public class XmlSchemaAnnotated

extends XmlSchemaObject

The base class for any element that can contain annotation elements.

Field Summary
`org.w3c.dom.Attr[]` | `unhandledAttributes`

Constructor Summary
`XmlSchemaAnnotated()` Creates new XmlSchemaAnnotated

Method Summary
`XmlSchemaAnnotation` | `getAnnotation()`
`java.lang.String` | `getId()`
`org.w3c.dom.Attr[]` | `getUnhandledAttributes()`
`void` | `setAnnotation(XmlSchemaAnnotation annotation)`
`void` | `setId(java.lang.String id)`
`void` | `setUnhandledAttributes(org.w3c.dom.Attr[] unhandledAttributes)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### unhandledAttributes

    public org.w3c.dom.Attr[] unhandledAttributes

Constructor Detail

### XmlSchemaAnnotated

    public XmlSchemaAnnotated()

  Creates new XmlSchemaAnnotated

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getAnnotation

    public XmlSchemaAnnotation getAnnotation()

### setAnnotation

    public void setAnnotation(XmlSchemaAnnotation annotation)

### getUnhandledAttributes

    public org.w3c.dom.Attr[] getUnhandledAttributes()

### setUnhandledAttributes

    public void setUnhandledAttributes(org.w3c.dom.Attr[] unhandledAttributes)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.